# Pump-and-dump detector configuration
universe_size: 200          # Top N coins by market cap (excluding core)
scan_interval_seconds: 30   # How often to scan for pumps

# Detection thresholds
volume_spike_multiplier: 5  # Volume >= 5x 1h average
price_rise_pct: 15          # Price >= 15% in detection window
detection_window_minutes: 10
min_confidence: 0.75

# Position rules
max_position_pct: 5         # Max 5% portfolio per pump trade
max_simultaneous: 2         # Max 2 concurrent pump positions
max_total_exposure_pct: 10  # Max 10% total pump exposure
stop_loss_pct: 8            # 8% hard stop (exchange-side OCO)
take_profit_pct: 10         # 10% take profit
max_hold_minutes: 60        # 1 hour max (TTL worker enforced)
reentry_cooldown_hours: 4   # 4 hours per symbol after exit
